Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 179760 - multipath device support in anaconda (configuration and root volume)
Summary: multipath device support in anaconda (configuration and root volume)
Keywords:
Status: CLOSED DUPLICATE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-02-02 18:08 UTC by Jun'ichi NOMURA
Modified: 2007-11-30 22:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-22 14:35:53 UTC


Attachments (Terms of Use)

Description Jun'ichi NOMURA 2006-02-02 18:08:30 UTC
Description of problem:
  Anaconda to enable multipath configuration

Additional info:

  Necessary feature would be: (assuming dm-multipath)
  - Discovering multipath (e.g. by using scsi_id)
    and present it as a dm-multipath device
    (Underlying devices may be hidden or shaddowed to disallow operation.)
  - UI to manually configure/deconfigure a multipath device
    (Manual configuration may be needed in case there is
     only a single path at installation time and extended after
     installation. Deconfiguration may be necessary to undo it.)
  - Present partitions on the multipath device (e.g. by using kpartx)
  - UI to edit partitions on the multipath device
    (transparent to normal device)
  - mkinitrd support for multipath root volume
  - Properly handling combination with other dm devices (LVM2, dmraid)
    (IMO, they are stacked as LVM2, md, dmraid, multipath
     from top to bottom. I'm not sure there is a device which
     has both multipath capability and dmraid support)

There was a request for RHEL4 which was not accepted as of U3.
I'm opening this for FC5/FC6, hoping the support in RHEL5.

Comment 2 Michael Brown 2006-07-21 19:21:54 UTC
Here here! I'm trying to do a boot-from-SAN install proof-of-concept and the
installer is cripped in this respect - even a driver disk we could use with the
multipath personality on it would be a good solution for now.

Comment 3 Peter Jones 2006-09-22 14:35:53 UTC

*** This bug has been marked as a duplicate of 185852 ***


Note You need to log in before you can comment on or make changes to this bug.